## ku-smart-utils 1.0-ku25-12a

=== debian/changelog ===
ku-smart-utils (1.0-ku25-12a) unstable; urgency=low

  * ku-smartstatus
    - fix: on certain drives power on hours count and/or last check hours overflows
    	   on 65535, now fixes last check hours if possibile, otherwise set as power on
	   hours


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 27 Dec 2025 14:33:01 +0100

ku-smart-utils (1.0-ku24-06b) unstable; urgency=low

  * ku-smartstatus
    - fix: abort if last check never run

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 20 Jun 2024 14:51:30 +0200

ku-smart-utils (1.0-ku24-06a) unstable; urgency=low

  * ku-smartstatus
    - fix: in long format the time of last check was meaningless, now shows the elapsed
    	   time from running and last check, and issues a warning if >2months

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 11 Jun 2024 12:47:24 +0200

ku-smart-utils (1.0-ku23-08a) unstable; urgency=low

  * debian/compat
    - upd: (devuan daedalus) raised to 10

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 28 Aug 2023 10:39:20 +0200

ku-smart-utils (1.0-ku23-04a) unstable; urgency=low

  * ku-smartstatus
    - fix: "Current_Pending_Sectors" (#198) parameter added to badblocks count, previous
    	   behaviour was to count only reallocated blocks (#197)
    - add: reports badblocks also; in the short listing under FAILS is displayed the sum
    	   of both; if there are only realloc but no badblocks, the WRN string (the drive
	   is not really failed, but is on the way)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 06 Apr 2023 17:44:13 +0200

ku-smart-utils (1.0-ku22-10a) unstable; urgency=low

  * ku-smartstatus
    - fix: do no more uses Raw_Read_Error_Rate for health check (is not intended this way)
    - new: checks Pre-fails parameters for health
    - fix: composite, exadecimal raw values are now detected (hem .. at least we try)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 11:51:32 +0100

ku-smart-utils (1.0-ku22-03a) unstable; urgency=low

  * ku-smartstatus
    - mod: replaced command print_time with age_real (see libku-utils-perl package
    	   >= 1.0-ku22.02a) -- note that there is no explicit depend on this package,
	   if age_real command is not available times are shown in hours units; you
	   need to install libku-utils-perl and libdate-calc-perl packages to use
	   age_real

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 06 Mar 2022 16:22:17 +0100

ku-smart-utils (1.0-ku22-01a) unstable; urgency=low

  * ku-smartstatus
    - fix: "ok" status cleaned after searching for Raw_Read_Error_Rate, but this
	   entry is empty

  * install standards
    - upd: updated

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 29 Jan 2022 12:15:21 +0100

ku-smart-utils (1.0-ku21-05) unstable; urgency=low

  * production release ku21.05

  * meta: package owner
    - mod: Allblue SA dismissed, now is KUBiC Labs only
    - mod: from now releases uses the scheme YY.mm[patchlevel], where patchlevel
    	   usually is a locase letter; releases YY.mm (w/out patchlevel) are
	   production ones

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 18 Sep 2021 13:05:38 +0200

ku-smart-utils (1.0-ku0-0) unstable; urgency=low

  * new package:
    - ku-smartstatus
     	   from ku-base package
 -- Allblue SA, KUBiC Labs (CH) <packager@kubiclabs.com>  Thu, 07 Jan 2021 16:02:27 +0100
