## ku-smart-utils 1.0-ku26-01a

=== debian/changelog ===
ku-smart-utils (1.0-ku26-01a) unstable; urgency=low

  * ku-smartstatus
    - fix: checks for lastck overflows fails if $hours is undefined
    - add: debug messages, -D or --debug option accepted


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 07 Jan 2026 19:52:29 +0100
